Public Member Functions | Public Attributes | Friends | List of all members
MsWrdTextInternal::Footnote Struct Reference

Internal: the footnote. More...

## Public Member Functions
| Footnote ()
| constructor More...

## Public Attributes
MWAWEntry | m_pos
| the footnote data More...
int | m_id
| the id More...
int | m_value
| a value ( 1, 4) More...
std::string | m_error
| the errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Footnote const &note)
| operator<< More...

## Detailed Description

Internal: the footnote.

## Constructor & Destructor Documentation

## ◆ Footnote()

MsWrdTextInternal::Footnote::Footnote | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Footnote const & | note
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_error

std::string MsWrdTextInternal::Footnote::m_error

the errors

## ◆ m_id

int MsWrdTextInternal::Footnote::m_id

the id

Referenced by MsWrdText::readFootnotesPos().

## ◆ m_pos

MWAWEntry MsWrdTextInternal::Footnote::m_pos

the footnote data

Referenced by MsWrdText::readFootnotesPos().

## ◆ m_value

int MsWrdTextInternal::Footnote::m_value

a value ( 1, 4)

Referenced by MsWrdText::readFootnotesPos().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx